Package com.microsoft.sqlserver.jdbc

# Interface SQLServerKeyVaultAuthenticationCallback

public interface SQLServerKeyVaultAuthenticationCallback
Provides a callback delegate which is to be implemented by the client code

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccessToken(String authority, String resource, String scope)`
Returns the acesss token of the authentication request

## Method Details

### getAccessToken

String getAccessToken(String authority, String resource, String scope)
Returns the acesss token of the authentication request

Parameters:
  `authority` - - Identifier of the authority, a URL.
  `resource` - - Identifier of the target resource that is the recipient of the requested token, a URL.
  `scope` - - The scope of the authentication request.
Returns:
  access token